/* Boris Todorov Peltekov
   8e SMG
*/
#include<stdio.h>
#include<conio.h>
#include<string.h>
#define maxN 500
#define maxP 50

int list[maxP][maxN];
int n,p;
float SrednoZad[maxP];

void Init()
{
int i,j;
scanf("%d %d",&n,&p);
for(i=1;i<=n;i++)
    for(j=1;j<=p;j++)
       if (i != n)
	  scanf("%d ",&list[j][i]);
       else
	  scanf("%d",&list[j][i]);
}

/*void Print1()
{
int i,j;
for(i=1;i<=n;i++)
   {for(j=1;j<=p;j++)
      printf("%d ",list[j][i]);
   printf("\n");
   }
}                 */

void Sredno()
{
int i,j,sum=0;
for(j=1;j<=p;j++)
   {
   sum = 0;
   for(i=1;i<=n;i++)
      sum = sum + list[j][i];
   SrednoZad[j] = sum / 3;
   }
}

int IsSimple(int jj)
{
int i,br=0;
for(i=1;i<=n;i++)
   {
   if (list[jj][i] > 2*SrednoZad[jj])
      return 0;
   if (list[jj][i] <= SrednoZad[jj])
      br++;
   }
if (br >= n/2)
   return 1;
else
   return 0;
}

/*void Print()
{  int j;
for(j=1;j<=p;j++)
   printf("%f ",SrednoZad[j]);
}
			  */
int main()
{
int y;
clrscr();
Init();
Sredno();
for(y=1;y<=p;y++)
   if (IsSimple(y) == 1)
       printf("%d ",y);
printf("\n");
getch();
return 0;
}